## prog.utili
Class Quadrato

    java.lang.Object
      prog.utili.Figura
          prog.utili.Rettangolo
              prog.utili.Quadrato

    public class Quadrato

extends Rettangolo

Le sue istanze rappresentano quadrati.

Version:
  2.0
Author:
  Giovanni Pighizzini, Mauro Ferrari

Constructor Summary
`Quadrato(double x)` Costruisce un oggetto che rappresenta un quadrato di lato uguale a quello fornito come argomento.

Method Summary
`double` `getLato()` Restituisce il lato del quadrato rappresentato dall'oggetto che esegue il metodo.
`java.lang.String` `toString()` Restituisce una stringa che descrive il quadato rappresentato dall'oggetto che esegue il metodo.

Methods inherited from class prog.utili.Rettangolo
`equals, equals, getAltezza, getArea, getBase, getPerimetro`

Methods inherited from class prog.utili.Figura
`haAreaMaggiore, haPerimetroMaggiore`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Quadrato

    public Quadrato(double x)

  Costruisce un oggetto che rappresenta un quadrato di lato uguale a quello fornito come argomento.

  Parameters:
    `x` - il lato.

Method Detail

### getLato

    public double getLato()

  Restituisce il lato del quadrato rappresentato dall'oggetto che esegue il metodo.

  Returns:
    il lato del quadrato.

### toString

    public java.lang.String toString()

  Restituisce una stringa che descrive il quadato rappresentato dall'oggetto che esegue il metodo.

  Overrides:
    `toString` in class `Rettangolo`
  Returns:
    la stringa che descrive il quadrato.